version: "3.8"

volumes:
  cremeaux-log:
    name: cremeaux-log
  cremeaux-stats:
    name: cremeaux-stats

services:
  crmx-prod:
    container_name: crmx-prod
    build: .
    restart: always
    labels:
      traefik.enable: "true"
      traefik.http.routers.crmx-prod.rule: "Host(`${URL}`)"
      traefik.http.routers.crmx-prod.entrypoints: "web"
    volumes:
      - cremeaux-log:/var/log/nginx
      - cremeaux-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

  crmx-stats:
    container_name: crmx-stats
    image: registry.weko.io/goaccess
    restart: always
    volumes:
      - cremeaux-log:/var/log/nginx
      - cremeaux-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

networks:
  default:
    external:
      name: traefik
